/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.sumarrayjavastreams;

import java.util.Arrays;
import java.util.stream.IntStream;

/**
 *
 * @author omozegieaziegbe
 */
public class SumArrayJavaStreams {

    public static void main(String[] args) {

        int[] array1 = {6, 7, 8, 9, 10};
        int[] array2 = {1, 2, 3, 4, 5};

        // Ensure both arrays are of the same length
        if (array1.length != array2.length) {
            System.out.println("Arrays must have the same length for addition.");
            return;
        }

        int[] sumArray = IntStream.range(0, array1.length)
                .map(i -> array1[i] + array2[i])
                .toArray();

        // Display the sumArray
       System.out.println("Sum Array: " + Arrays.toString(sumArray));
    }
}
